Name:		smaragd
Summary:	KDE 4 windeco for Emerald themes
Version:	0.0.7
Release:	%mkrel 5
Source0:	%name-%version.tar.xz
License:	GPLv2
URL:		http://kde-look.org/content/show.php/Smaragd+%28Emerald+for+KDE%29?content=125162
Group:		Graphical desktop/KDE4
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#------------------------------------------
BuildRequires:	cmake
BuildRequires:	kde-workspace-devel
BuildRequires:	libcairo-devel
BuildRequires:	glib2.0-common
BuildRequires:	%{_lib}glib2.0_0-devel
#------------------------------------------
Requires:	kde-workspace
Requires:	glib2.0-common
Requires:	%{_lib}glib2.0_0
Requires:	%{_lib}cairo2

%description
Smaragd is a window decoration engine for the KDE window manager KWin. It allows you to use Emerald theme files (from Compiz/Beryl) with KDE SC 4.

Installation and Usage
* Restart KWin when you had a previous version installed
* The *.emerald theme file has to be extracted to $HOME/.emerald/theme (make sure the file $HOME/.emerald/theme/theme.ini exists)
* You can also use the original Emerald theme manager to install and modify themes, but it is not needed for running
* There are well over 1500 themes available at http://openDesktop.org/

Known Bugs
* Shadow offsets are broken
* No theme installation/configuration dialog

%prep 
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf $RPM_BUILD_ROOT
pushd build
%makeinstall_std
popd

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%posttrans
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS
do INP1= mkdir -p /home/$idx/.emerald/theme
chown -R "$idx:$idx" /home/$idx/.emerald
done

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NOTES README
%_libdir/kde4/*.so
%_datadir/apps/kwin/smaragd.desktop
%_datadir/config/smaragd.knsrc

%changelog
* Tue Jul 16 2013 Texstar <texstar at gmail.com> 0.0.7-5pclos2013
- fix rpmgroup on 64bit

* Sat Jun 01 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.0.7-4pclos2011
- rebuild

* Sun May 01 2011 Texstar <texstar at gmail.com> 0.0.7-3pclos2011
- update from svn

* Mon Feb 21 2011 Texstar <texstar at gmail.com> 0.0.7-2pclos2011
- rebuild against kde 4.6.0

* Fri Oct 08 2010 Sproggy <desproggster@gmail.com> 0.0.7-1pclos2010
- 0.0.7

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.0.6-3pclos2010
- rebuild for 4.5.1

* Tue Aug 10 2010 Chomp <chomptheman@gmail.com> 0.0.6-2pclos2010
- r1161215, fixes button glow centering

* Sat Aug 07 2010 Chomp <chomptheman@gmail.com> 0.0.6-1pclos2010
- 0.0.6.r1160092 

* Fri Jul 09 2010 Chomp <chomptheman@gmail.com> 0.0.5-2pclos2010
- r1147574, fixes resize window bug

* Fri Jun 11 2010 Chomp <chomptheman@gmail.com> 0.0.5-1pclos2010
- Update, now creates .emerald/theme folders in user's /home (thanks Tex)

* Sun Jun 06 2010 Chomp <chomptheman@gmail.com> 0.0.4.svn1132360-1pclos2010
- Build for testing

